WALLET GENERATOR
===

```text
/$$$$$$$$ / $$                 /$$    /$$  /$$$$$$  /$$$$$$$$
|__  $$__/| $$                | $$   | $$ /$$__  $$| $$_____/
   | $$   | $$$$$$$   /$$$$$$ | $$   | $$| $$  \__/| $$      
   | $$   | $$__  $$ /$$__  $$|  $$ / $$/|  $$$$$$ | $$$$$   
   | $$   | $$  \ $$| $$$$$$$$ \  $$ $$/  \____  $$| $$__/   
   | $$   | $$  | $$| $$_____/  \  $$$/   /$$  \ $$| $$      
   | $$   | $$  | $$|  $$$$$$$   \  $/   |  $$$$$$/| $$$$$$$$
   |__/   |__/  |__/ \_______/    \_/     \______/ |________/
```

Скрипт для генерации рандомных кошельков от TheVSE

Установка
---

Для работы скрипта необходимо иметь установленный NodeJS.
Скачать актуальную версию можно по ссылке https://nodejs.org/en/download

Необходимо установить все зависимости для скрипта:
```shell
npm i --force
```

Настройка
---

При необходимости, можно переопределить стандартные настройки скрипта.
Для этого нужно создать файл .env в корневой директории и задать нужные значения

### Возможные значения

#### Опциональные значения
- WALLETS_AMOUNT -- (default: 10) - количество кошельков для генерации за один вызов скрипта
- OUTPUT_FILE -- (default: output.csv) - если указано: в какой файл сохранять список кошельков, иначе -- просто вывести на экран

Запуск скрипта
---

Запускаем скрипт командой

```shell
node .
```

### Пример успешного выполнения скрипта

```shell
Wallet #1 {
  address: '0x2bB75951dC38328727E42c0C1ea175c3Ca265B8f',
  phrase: 'fatigue grief fossil limit rookie outside glide return travel rocket kiss bachelor',
  privateKey: '0x121b42b48985b591682b5306e1ea4ae706d3c7d45992995a8ae67752ab27d61b'
}
Wallet #2 {
  address: '0x5af31f22bFaa2638979deFE25cf65703173EC9FB',
  phrase: 'rain attitude annual destroy hurdle buddy brother phone twin oyster era original',
  privateKey: '0xeae2e01932d6f5dd2583cb9f863a7ad42f70bd34fe2cf897458aef9d14bcfa19'
}
...
```
